Subject: Re: gettimeofday function, and crypt
From: [email-masked] (Geoffrey Noer)

13 Mar 1998 07:00:48 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Content-Type: text
To: [email-masked] (David Skidmore)
Cc: [email-masked]

David Skidmore wrote:
> 
> I am running B19 under Win95( I know, but my parents would be completely
> mistified about Linux...) Anyway, I have code that makes calls to the UNIX
> gettimeofday function, but when I compile it, it says it's an implicit
> definition, or whatever.  Is there a seperate header that I need to
> include to do this?

Looks like gettimeofday isn't in the headers.  It should be.  It is
implemented and exported in b19 cygwin.dll.

> Also, why no crypt() support?  I thought it was in an
> earlier version...

There used to be a crypt stub that didn't do anything that just
returned successfully.  This seemed like a very bad idea so we removed
it in the latest release.  You'll have to provide your own crypt()...

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".